Last Comment Bug 774306 - java.lang.NullPointerException: at org.mozilla.gecko.AboutHomeContent$10.run(AboutHomeContent.java)
: java.lang.NullPointerException: at org.mozilla.gecko.AboutHomeContent$10.run(...
Status: RESOLVED FIXED
[native-crash]
: crash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 14 Branch
: ARM Android
: -- critical (vote)
: Firefox 17
Assigned To: Lucas Rocha (:lucasr)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 08:59 PDT by Scoobidiver (away)
Modified: 2012-08-07 05:19 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Protect access to mFavicons behind a getter (6.16 KB, patch)
2012-07-17 06:34 PDT, Lucas Rocha (:lucasr)
margaret.leibovic: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Scoobidiver (away) 2012-07-16 08:59:45 PDT
There are 74 crashes in 14.0 Betas and one crash in 15.0a2: bp-0180c867-33e1-48cc-a429-8dc7c2120714.

java.lang.NullPointerException
	at org.mozilla.gecko.AboutHomeContent$10.run(AboutHomeContent.java:480)
	at android.os.Handler.handleCallback(Handler.java:605)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:137)
	at android.app.ActivityThread.main(ActivityThread.java:4575)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:511)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:789)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:556)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A+at+org.mozilla.gecko.AboutHomeContent%2410.run%28AboutHomeContent.java%29
Comment 1 :Margaret Leibovic 2012-07-16 11:53:07 PDT
It looks like mFavicons might not be initialized when we try to use it here:
http://hg.mozilla.org/releases/mozilla-aurora/annotate/tip/mobile/android/base/AboutHomeContent.java#l479

mFavicons is initialized in the delayed initialize() method:
http://mxr.mozilla.org/mozilla-central/source/mobile/android/base/GeckoApp.java#1888
Comment 2 Lucas Rocha (:lucasr) 2012-07-17 06:34:41 PDT
Created attachment 642930 [details] [diff] [review]
Protect access to mFavicons behind a getter
Comment 3 :Margaret Leibovic 2012-07-17 09:06:16 PDT
Comment on attachment 642930 [details] [diff] [review]
Protect access to mFavicons behind a getter

Nice.
Comment 4 Lucas Rocha (:lucasr) 2012-07-18 03:05:09 PDT
Pushed: http://hg.mozilla.org/integration/mozilla-inbound/rev/10a4ccffa7a4
Comment 5 Ed Morley [:emorley] 2012-07-19 07:37:01 PDT
https://hg.mozilla.org/mozilla-central/rev/10a4ccffa7a4
Comment 6 Lucas Rocha (:lucasr) 2012-07-30 06:48:21 PDT
Comment on attachment 642930 [details] [diff] [review]
Protect access to mFavicons behind a getter

[Approval Request Comment]
Need this patch in aurora in order to land the fix for bug 774306. This patch fixes a crash. Indirect dependence for Reader Mode which is in the Firefox 16 roadmap.
Comment 7 Alex Keybl [:akeybl] 2012-07-30 12:56:33 PDT
(In reply to Lucas Rocha (:lucasr) from comment #6)
> [Approval Request Comment]
> Need this patch in aurora in order to land the fix for bug 774306.

Did you mean to suggest that there would be a followup for this patch once landed? Or is that the wrong bug #?
Comment 8 Lucas Rocha (:lucasr) 2012-07-31 02:58:12 PDT
(In reply to Alex Keybl [:akeybl] from comment #7)
> (In reply to Lucas Rocha (:lucasr) from comment #6)
> > [Approval Request Comment]
> > Need this patch in aurora in order to land the fix for bug 774306.
> 
> Did you mean to suggest that there would be a followup for this patch once
> landed? Or is that the wrong bug #?

Sorry, I should have been more clear. I tried to land my patch for bug 774306 (reader fix) but it depends on the fix for this bug. So, I need to land the fix for this bug in Aurora to be able to land the fix for bug 774306.
Comment 9 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-31 10:29:57 PDT
(In reply to Lucas Rocha (:lucasr) from comment #8)
> (In reply to Alex Keybl [:akeybl] from comment #7)
> > (In reply to Lucas Rocha (:lucasr) from comment #6)
> > > [Approval Request Comment]
> > > Need this patch in aurora in order to land the fix for bug 774306.
> > 
> > Did you mean to suggest that there would be a followup for this patch once
> > landed? Or is that the wrong bug #?
> 
> Sorry, I should have been more clear. I tried to land my patch for bug
> 774306 (reader fix) but it depends on the fix for this bug. So, I need to
> land the fix for this bug in Aurora to be able to land the fix for bug
> 774306.

Lucas - are you intending to link to another bug?  You're referencing _this_ bug :)
Comment 10 Lucas Rocha (:lucasr) 2012-08-02 02:10:32 PDT
(In reply to Lukas Blakk [:lsblakk] from comment #9)
> (In reply to Lucas Rocha (:lucasr) from comment #8)
> > (In reply to Alex Keybl [:akeybl] from comment #7)
> > > (In reply to Lucas Rocha (:lucasr) from comment #6)
> > > > [Approval Request Comment]
> > > > Need this patch in aurora in order to land the fix for bug 774306.
> > > 
> > > Did you mean to suggest that there would be a followup for this patch once
> > > landed? Or is that the wrong bug #?
> > 
> > Sorry, I should have been more clear. I tried to land my patch for bug
> > 774306 (reader fix) but it depends on the fix for this bug. So, I need to
> > land the fix for this bug in Aurora to be able to land the fix for bug
> > 774306.
> 
> Lucas - are you intending to link to another bug?  You're referencing _this_
> bug :)

Oops, I meant bug 767738 :-)
Comment 11 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-03 12:06:05 PDT
Comment on attachment 642930 [details] [diff] [review]
Protect access to mFavicons behind a getter

Thanks for clearing that up, approving.
Comment 12 Lucas Rocha (:lucasr) 2012-08-07 05:05:09 PDT
Pushed to aurora: https://hg.mozilla.org/releases/mozilla-aurora/rev/a13e10835394

Note You need to log in before you can comment on or make changes to this bug.